Fulfilments
Creates a review request (one item per line item) for the customer of a fulfilled order and returns the tokenized review submission link. Replaying the same externalOrderId is idempotent: the existing request is returned and no duplicate is created.
Authorization
BearerAuth AuthorizationBearer <token>
API token obtained from the Informly dashboard
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.informly.co/v1/fulfilments" \ -H "Content-Type: application/json" \ -d '{ "externalOrderId": "string", "contact": { "email": "user@example.com" }, "lineItems": [ { "productId": "string", "title": "string" } ] }'{
"data": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"status": "string",
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"externalOrderId": "string",
"created": true,
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lineItemId": "string",
"productTitle": "string"
}
],
"submitUrl": "string"
}
}{
"data": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"status": "string",
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"externalOrderId": "string",
"created": true,
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lineItemId": "string",
"productTitle": "string"
}
],
"submitUrl": "string"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "string",
"details": [
{
"path": "string",
"message": "string"
}
]
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "string",
"details": [
{
"path": "string",
"message": "string"
}
]
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "string",
"details": [
{
"path": "string",
"message": "string"
}
]
}
}SDK
import { Informly } from "@informly/sdk";
const client = new Informly.Client({
token: "YOUR_API_TOKEN",
});
const response = await client.fulfilments.createFulfilment({
externalOrderId: "externalOrderId",
contact: "contact",
lineItems: "lineItems",
});
console.log(response);